#ifndef __DELAY_H__
#define  __DELAY_H__

struct stat_rec;

#define DELAY_BUF_N	(44100 * 5 / 10) /* max 0.5 sec */

struct delay_rec{
	int onoff;
	double sec, gain;
};

void delay_buf_set(struct stat_rec *stat, double v, double env_v);
double tbl_lookup(double *tbl, int n, double d_idx);
double delay_buf_lookup(struct stat_rec *stat, double sec, double *ret_env_v);
double delay_out(struct stat_rec *stat, struct delay_rec *delay, double *ret_env_v);
double chorus_out(struct stat_rec *stat);

#endif
