#ifndef __NOTE_H__
#define __NOTE_H__

#define NOTE_BUF_N	256

#include "out.h"
struct stat_rec;

struct note_rec{
	int ch;
	int note;
	int onoff;
	double on_sec;
	double off_sec;
	int velo;

	struct out_rec *ot;
	struct stat_rec *stat_lst;
};

extern struct note_rec note_buf[NOTE_BUF_N];

int note_buf_is_free(int i);
void note_buf_free(int i);
void note_buf_init(void);
int note_buf_search(int ch, int note, int onoff);
double note_to_freq(int note);
int note_out(struct note_rec *nt, double *vl, double *vr);
void note_onoff(int onoff, double evt_sec, int ch, int note, int velo);

#endif
