#ifndef __STAT_H__
#define __STAT_H__

#include "vco.h"
#include "filter.h"
#include "note.h"
#include "tone.h"

#define STAT_BUF_N	256

struct stat_rec{
	struct vco_stat_rec vco[2];
	struct filter_stat_rec filter[2];
	double off_v;
	int fst_smp_cnt;
	double delay_buf[2][ DELAY_BUF_N ];

	struct note_rec *nt;
	struct tone_compo_rec *tone_compo;
	struct stat_rec *next;
};

extern struct stat_rec stat_buf[ STAT_BUF_N ];

void stat_init(struct stat_rec *stat, double sec);
void stat_buf_init(void);
void stat_lst_free(struct stat_rec *stat);
struct stat_rec *stat_lst_alloc_init(int n, double sec, struct note_rec *nt, struct tone_compo_rec *tone_compo_arr, struct stat_rec *next);

#endif
