#include "vco.h"

void
vco_stat_update(struct vco_stat_rec *stat, double freq, double sec)
{
	stat->cycle += freq * (sec - stat->sec);	
	stat->freq = freq;
	stat->sec = sec;
}

double
vco_out(int wave, struct vco_stat_rec *stat, double freq, double sec, double modu_v)
{
	if(modu_v != 0) freq *= pow(2, modu_v);
	vco_stat_update(stat, freq, sec);
	return wave_out(wave, stat->cycle);
}

/* EOF */
