#ifndef __FILTER_H__
#define __FILTER_H__

#include "util.h"

#define LPF		1
#define HPF		2
#define BPF		3

struct filter_rec{
	int type; /* OFF, LPF, HPF, BPF */
	double freq, Q;
};

struct filter_stat_rec{
	int idx;
	double in[4], out[4];
	double a0, a1, a2, b0, b1, b2, div_a0;
};

void filter_update(struct filter_rec *fl, struct filter_stat_rec *stat, double smp_t);
void filter_init(struct filter_rec *fl, struct filter_stat_rec *stat, double smp_t);
double filter_out(struct filter_stat_rec *stat, double in);

#endif
