#include "lfo.h"
double
lfo_out(struct lfo_rec *lfo, struct modu_rec *modu, double sec, double on_sec)
{
	double dsec;

	if(!(modu->pitch1 || modu->pitch2 || modu->filter1 || modu->filter2)) return 0;
	if((dsec = sec - on_sec - lfo->delay) <= 0) return 0;
	return wave_out(lfo->wave, lfo->freq * dsec);
}

/* EOF */
