#ifndef __OUT_H__
#define __OUT_H__

#include "util.h"

struct out_rec{
	int smp_freq, smp_cnt;
	int bit_len;
	int sign;
	int ch_num;
	FILE *fp;

	int base;
	int amp;
	int iv_min;
	int iv_max;
	double smp_t, sec;
};

int sox_version(void);
char *sox_bit_len_fmt(int bit_len);
void out_init(struct out_rec *ot, int ac, char **av);
void out_do(struct out_rec *ot, double v);

#endif
