#include "util.h"

int
opt_idx(char *key, int ac, char **av)
{
	int i;

	for(i=1; i<ac; i++) if(strcmp(av[i], key) == 0) return i;
	return -1;
}

char *
opt_str(char *key, int ac, char **av, char *def)
{
	int i;

	i = opt_idx(key, ac, av);
	if(i < 0 || i+1 >= ac) return def;
	return av[i+1];
}

int
opt_int(char *key, int ac, char **av, int def)
{
	char *s;

	if((s = opt_str(key, ac, av, NULL)) == NULL) return def;
	return strtol(s, NULL, 0);
}

/* EOF */
